from models import Discipline

def test_postDiscipline(client):
    discipline = Discipline(
        id=1,
        intitule="Karaté",
        type="Combat",
        description="Le karaté est un art martial d'origine japonaise, dont la pratique est à la fois un sport, un moyen de self-défense et un art de vivre.",
        logo="https://upload.wikimedia.org/wikipedia/commons/4/4b/Karate_pictogram.svg"
    )

    response = client.post("/", json=discipline.model_dump())
    assert response.status_code == 200
    discipline.id = response.json["id"]
    response = client.get(f"/{discipline.id}")

    assert response.json == discipline.model_dump()